.include "tn25def.inc"

;*******************************************
;define temporary register for data storage
;*******************************************
.def temp = R16
.def temp2= R17

.org 0x0000 
jmp  SETUP
SETUP:

;*****************************************************
;set all pins of port B as input exept pin PB3 output
;*****************************************************
ldi  temp, 0x08
out  DDRB, temp

MAIN:
	in temp2,PINB		;read value of portb
	cpi temp2,0x00		;check if value of PB3 is high
	brne LEDOFF

LEDON:
	sbi  PortB, 3		;Set PB3 to high
rjmp MAIN

LEDOFF:
	cbi  PortB, 3		;set PB3 to low
rjmp MAIN
