#include <avr/io.h>
#include <util/delay.h>

#define BTN PB4
#define LED PB3


int main(void)
{
	//Set pin 4 of PORTB to outputs and pin 5 to input
	DDRB |=(1<<LED) ;
	DDRB &= ~(1 << BTN);	

    while(1)
    {
		if (bit_is_clear(PINB, BTN))
			PORTB |=(1<<LED);		//Write a high to pin PB3		
		else			
			PORTB &= ~(1 << LED);		//Write a low to pin PB3
    }
}
